import { ElementRef, OnInit, Renderer2, ViewContainerRef } from "@angular/core";
import { MatSnackBar } from "@angular/material/snack-bar";
import { Observable } from "rxjs";
import { ErrorMessageHandler } from "../services/error-message-handler";
import { TranslationHelper } from "../services/translation-helper.service";
import * as i0 from "@angular/core";
/**
 * This directive accepts a promise or observable as input. If clicked, it sets the host element to disabled and executes the input. Please keep in mind that the execution context of the observable/promise is the loading-element directive. If you need to access `this` in your code, please bind it manually or provide an error function instead.
 */
export declare class LoadingElementDirective implements OnInit {
    #private;
    private elementRef;
    private renderer;
    private matSnackBar;
    private errorMessageHandler;
    private viewContainerRef;
    private translationHelper;
    loadingFn: () => Observable<unknown> | Promise<unknown>;
    set isLoading(isLoading: boolean);
    private spinnerNode;
    private originalStyles;
    constructor(elementRef: ElementRef, renderer: Renderer2, matSnackBar: MatSnackBar, errorMessageHandler: ErrorMessageHandler, viewContainerRef: ViewContainerRef, translationHelper: TranslationHelper);
    ngOnInit(): void;
    click(event?: Event): boolean;
    private setLoading;
    private createSpinner;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoadingElementDirective, [null, null, null, null, null, { optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LoadingElementDirective, "[loadingFn]", ["loadingFn"], { "loadingFn": { "alias": "loadingFn"; "required": false; }; "isLoading": { "alias": "isLoading"; "required": false; }; }, {}, never, never, true, never>;
}
