import { PipeTransform } from "@angular/core";
import { InlineTranslation } from "@smallstack/i18n-shared";
import { TranslationHelper } from "../services/translation-helper.service";
import * as i0 from "@angular/core";
/**
 * This pipe can be used if the @smallstack/i18n packages cannot be used directly (e.g. due circular dependencies). It
 * translates values only once, so its not as great as the `<smallstack-i18n>` component since it does not react to
 * locale changes etc.
 */
export declare class TranslatePipe implements PipeTransform {
    private translationHelper;
    constructor(translationHelper: TranslationHelper);
    transform(data: string | InlineTranslation): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<TranslatePipe, [{ optional: true; }]>;
    static ɵpipe: i0.ɵɵPipeDeclaration<TranslatePipe, "translate", true>;
}
