import { StringProvider } from "@smallstack/utils";
import { Observable } from "rxjs";
import * as i0 from "@angular/core";
export interface Context {
    tenantId: StringProvider;
    resellerId: StringProvider;
    authTenantId?: StringProvider;
    userId?: StringProvider;
}
export interface EvaluatedContext {
    tenantId: string;
    resellerId: string;
    authTenantId?: string;
    userId?: string;
}
export declare class ContextService {
    #private;
    context$: Observable<Context>;
    evaluatedContext$: Observable<EvaluatedContext>;
    setContext(context: Context): Context;
    updateContext(context: Partial<Context>): Context;
    getEvaluatedContext(): EvaluatedContext;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContextService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ContextService>;
}
