import { ApiQueryRequest, Page } from "@smallstack/api-shared";
import { AxiosApiClient, DataTypeDto } from "@smallstack/axios-api-client";
import { PageableCrudStore, StorePreloadOptions } from "@smallstack/store";
import { SearchableFieldDefinition } from "@smallstack/typesystem";
import { DataStore } from "./data.store";
import { IFrontendTypeRegistry } from "./frontend-type.registry";
import { StoreRegistry } from "./store.registry";
import { TranslationHelper } from "./translation-helper.service";
import * as i0 from "@angular/core";
export declare class DataTypeStore extends PageableCrudStore<DataTypeDto> {
    private axiosApiClient;
    private storeRegistry;
    private dataStore;
    protected translationHelper: TranslationHelper;
    typeRegistry: IFrontendTypeRegistry;
    constructor(axiosApiClient: AxiosApiClient, storeRegistry: StoreRegistry, dataStore: DataStore, translationHelper: TranslationHelper);
    preload(options?: StorePreloadOptions): Promise<void>;
    loadModels(query: ApiQueryRequest): Promise<Page<DataTypeDto>>;
    loadModelById(id: string): Promise<DataTypeDto>;
    deleteModelById(id: string): Promise<void>;
    createModel(dataType: DataTypeDto): Promise<DataTypeDto>;
    patchModel(id: string, dataType: Partial<DataTypeDto>): Promise<DataTypeDto>;
    putModel(dataType: DataTypeDto): Promise<DataTypeDto>;
    protected deleteModelsByIds(ids: string[]): Promise<void>;
    getSearchableFields(dataType: DataTypeDto): SearchableFieldDefinition[];
    private getSearchableFieldsForProperties;
    static ɵfac: i0.ɵɵFactoryDeclaration<DataTypeStore, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DataTypeStore>;
}
