import { Location } from "@angular/common";
import { MatBottomSheet } from "@angular/material/bottom-sheet";
import { MatDialog } from "@angular/material/dialog";
import { ActivatedRoute, Router } from "@angular/router";
import { PageableCrudStore, PageableStore } from "@smallstack/store";
import { BasePathService } from "./base-path.service";
import { ScrollTopService } from "./scroll-top.service";
import * as i0 from "@angular/core";
export declare class RouterUtilService {
    private router;
    private activatedRoute;
    private location;
    private basePathService;
    private matDialog;
    private bottomSheet;
    private scrollTopService;
    constructor(router: Router, activatedRoute: ActivatedRoute, location: Location, basePathService: BasePathService, matDialog: MatDialog, bottomSheet: MatBottomSheet, scrollTopService: ScrollTopService);
    enableDialogAutoClosing(): void;
    addSearchParameter(key: string, value: string): Promise<void>;
    removeSearchParameter(key: string): Promise<void>;
    addMultipleQueryParams(paramKeyArray: {
        key: string;
        value: string;
    }[]): Promise<void>;
    initializeListRouting(store: PageableCrudStore | PageableStore): void;
    /** Either navigates to another website when url starts with http or navigates internally with taking query params into account (which angular router doesn't) */
    navigateFullUrl(url: string, addBasePath?: boolean): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<RouterUtilService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RouterUtilService>;
}
