import { BehaviorSubject, Observable } from "rxjs";
import * as i0 from "@angular/core";
export declare class TokenService {
    /** @deprecated use tokenValid$ (its the same) */
    tokenChange$: BehaviorSubject<boolean>;
    tokenValid$: BehaviorSubject<boolean>;
    /** gets triggered when the token first was valid and then got invalidated */
    tokenGotInvalidated$: Observable<void>;
    /** holds the timestamp of the time when the current token will get invalidated */
    tokenValidUntil$: BehaviorSubject<number>;
    /** reports the duration every second, until the token is invalidated */
    tokenValidDuration$: Observable<number>;
    private tokenIsValid;
    private localStoragePropertyName;
    private localStoragePropertyPrefix;
    constructor();
    setLoginTokenPropertyPrefix(prefix: string): void;
    setLoginToken(token: string): void;
    getLoginToken(): string | undefined;
    invalidateTokenLocally(): void;
    setTokenValidity(valid: boolean): void;
    isTokenValid(): boolean;
    private getLocalStoragePropertyName;
    private checkToken;
    static ɵfac: i0.ɵɵFactoryDeclaration<TokenService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TokenService>;
}
