import { BasePathService } from "./base-path.service";
import * as i0 from "@angular/core";
export declare const UrlResolverKeys: {
    /** @deprecated use BASE_PATH */
    CURRENT_PROJECT_URL: string;
    BASE_PATH: string;
    API_URL: string;
};
/**
 * Resolves urls from given keys. Can be used to resolve backoffice urls like 'current project url' inside
 * a non backoffice environment.
 */
export declare class UrlResolverService {
    #private;
    private basePathService;
    constructor(basePathService: BasePathService);
    get(key: string): Promise<string>;
    /** Returns a map of all current urls */
    getMap(): Promise<{
        [key: string]: string;
    }>;
    addResolver(key: string, callback: () => Promise<string>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UrlResolverService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<UrlResolverService>;
}
