import { ApiQueryRequest, Page } from "@smallstack/api-shared";
import { AxiosApiClient, ConfigurationDto, ConfigurationDtoScopeEnum, UpdateConfigurationDto } from "@smallstack/axios-api-client";
import { PageableCrudStore } from "@smallstack/store";
import { StoreRegistry } from "../services/store.registry";
import * as i0 from "@angular/core";
export declare class ConfigurationStore extends PageableCrudStore<ConfigurationDto> {
    private axiosApiClient;
    constructor(axiosApiClient: AxiosApiClient, storeRegistry: StoreRegistry);
    setConfiguration(key: string, value: string): Promise<ConfigurationDto>;
    upsertConfiguration(key: string, value: string, scope?: ConfigurationDtoScopeEnum): Promise<ConfigurationDto>;
    getConfiguration(key: string, withDefaultValue?: boolean): Promise<string>;
    getValue(key: string): Promise<string>;
    getConfigurationsStartingWith(startsWith: string): Promise<ConfigurationDto[]>;
    getConfigurationByKey(key: string): Promise<ConfigurationDto>;
    protected loadModels(query: ApiQueryRequest): Promise<Page<ConfigurationDto>>;
    protected loadModelById(id: string): Promise<ConfigurationDto>;
    protected deleteModelById(id: string): Promise<any>;
    protected deleteModelsByIds(ids: string[]): Promise<void>;
    protected createModel(configuration: ConfigurationDto): Promise<ConfigurationDto>;
    protected patchModel(id: string, configuration: UpdateConfigurationDto): Promise<ConfigurationDto>;
    protected putModel(configuration: ConfigurationDto): Promise<ConfigurationDto>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ConfigurationStore, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ConfigurationStore>;
}
