import { ApiQueryRequest, Page } from "@smallstack/api-shared";
import { AxiosApiClient, CustomFieldDto } from "@smallstack/axios-api-client";
import { PageableCrudStore } from "@smallstack/store";
import { StoreRegistry } from "../services/store.registry";
import * as i0 from "@angular/core";
export declare class CustomFieldStore extends PageableCrudStore<CustomFieldDto> {
    private axiosApiClient;
    constructor(axiosApiClient: AxiosApiClient, storeRegistry: StoreRegistry);
    protected loadModels(query: ApiQueryRequest): Promise<Page<CustomFieldDto>>;
    protected loadModelById(id: string): Promise<CustomFieldDto>;
    protected deleteModelById(id: string): Promise<void>;
    protected deleteModelsByIds(ids: string[]): Promise<void>;
    protected createModel(customField: CustomFieldDto): Promise<CustomFieldDto>;
    protected patchModel(id: string, customField: Partial<CustomFieldDto>): Promise<CustomFieldDto>;
    protected putModel(customField: CustomFieldDto): Promise<CustomFieldDto>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomFieldStore, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CustomFieldStore>;
}
